TIX-VARS(8)

NAME
tix-vars - evaluate variables in port files

SYNOPSIS
tix-vars [-rtv] [-d default] file [variable-or-assignment ...]

DESCRIPTION
tix-vars evaluates the variables in the port(5) named by file or the standard input if file is ‘-’. tix-vars considers the assignments and variables in the order of its arguments. If an argument is in the format variable=value, then the variable is assigned to the value. Otherwise the argument names a variable, whose raw value is written on a line. If no variables were requested, then all variables are written in a normalized form as lines with an equals sign ‘=’ separating the variable name and the value (quoted as needed).

The options are as follows:

-d default
    Use the default value instead if the variable is unset.

-r  Write the raw values with no quoting.

-t  Test quietly whether the file is syntactically correct and whether the variables are set without writing their contents.

-v  Always include the variable names as an assignment where the value is quoted as needed.

EXIT STATUS
tix-vars will exit 0 on success, exit 1 on a syntax error or if the requested variable is unset, and exit 2 otherwise.

SEE ALSO
port(5), tix-build(8), tix-port(8)

HISTORY
tix-vars originally appeared in Sortix 1.1.